=== debian/changelog ===
cfrpki (1.1.4-3build1) hirsute; urgency=medium

  * No-change rebuild using new golang

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 11 Nov 2020 22:06:22 +0000

cfrpki (1.1.4-3) unstable; urgency=medium

  * Re-upload to unstable.

 -- Marco d'Itri <md@linux.it>  Thu, 23 Apr 2020 14:49:56 +0200

cfrpki (1.1.4-2) experimental; urgency=medium

  * Initial release.

 -- Marco d'Itri <md@linux.it>  Thu, 23 Apr 2020 14:25:46 +0200
