=== debian/control ===
Source: cfrpki
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Marco d'Itri <md@linux.it>
Uploaders: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 12), dh-golang,
 golang-any,
 golang-github-cloudflare-gortr-dev,
 golang-github-gorilla-mux-dev,
 golang-github-kentik-patricia-dev,
 golang-github-prometheus-client-golang-dev,
 golang-github-rs-cors-dev,
 golang-github-stretchr-testify-dev,
 golang-google-grpc-dev,
 golang-goprotobuf-dev,
 golang-logrus-dev,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/md/cfrpki
Vcs-Git: https://salsa.debian.org/md/cfrpki.git
Homepage: https://github.com/cloudflare/cfrpki
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/cloudflare/cfrpki

Package: octorpki
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 adduser
Built-Using: ${misc:Built-Using}
Description: Cloudflare's RPKI validator
 OctoRPKI is an RPKI relying party software: it can be used to download
 Resource Public Key Infrastructure (RFC 6480) certificates and validate
 them.
