## cfrpki 1.2.2

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 DOCKER_REPO   := cloudflare/
 OCTORPKI_NAME    := octorpki
-OCTORPKI_VERSION := $(shell git describe --tags $(git rev-list --tags --max-count=1))
+OCTORPKI_VERSION ?= $(shell git describe)
 VERSION_PKG   := $(shell echo $(OCTORPKI_VERSION) | sed 's/^v//g')
 ARCH          := x86_64
 LICENSE       := BSD-3
@@ -19,7 +19,11 @@
 
 .PHONY: vet
 vet:
-	go vet cmd/octorpki/octorpki.go
+	go vet -v ./...
+
+.PHONY: test
+test:
+	go test -v ./...
 
 .PHONY: prepare
 prepare:
@@ -44,7 +48,6 @@
         --url "$(URL)" \
         --architecture $(ARCH) \
         --license "$(LICENSE)" \
-       	--deb-no-default-config-files \
         --package $(DIST_DIR) \
         $(OUTPUT_OCTORPKI)=/usr/bin/octorpki \
         package/octorpki.service=/lib/systemd/system/octorpki.service \
