=== debian/changelog ===
cfrpki (1.2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sun, 10 Jan 2021 00:38:17 +0100
