=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: cfrpki
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Marco d'Itri <md@linux.it>
+Maintainer: Marco d'Itri <md@linux.it>
 Uploaders: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Section: net
 Testsuite: autopkgtest-pkg-go
@@ -8,6 +7,7 @@
 Build-Depends: debhelper-compat (= 12), dh-golang,
  golang-any,
  golang-github-cloudflare-gortr-dev,
+ golang-github-getsentry-sentry-go-dev,
  golang-github-gorilla-mux-dev,
  golang-github-kentik-patricia-dev,
  golang-github-prometheus-client-golang-dev,
