## cfrpki 1.3.0

=== debian/changelog ===
cfrpki (1.3.0-1) unstable; urgency=medium

  * New upstream release. Fixes:
    + Prevent ROA issuers from making cfrpki emit an invalid VRP
      "MaxLength" value, hence causing RTR sessions to terminate.
      (CVE-2021-3761, Closes: #994572)

 -- Marco d'Itri <md@linux.it>  Sat, 18 Sep 2021 23:59:55 +0200
