=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  golang-google-grpc-dev,
  golang-goprotobuf-dev,
  golang-logrus-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0.1
 Vcs-Browser: https://salsa.debian.org/md/cfrpki
 Vcs-Git: https://salsa.debian.org/md/cfrpki.git
 Homepage: https://github.com/cloudflare/cfrpki
@@ -26,7 +26,7 @@
 Package: octorpki
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- adduser
+ adduser, rpki-trust-anchors
 Built-Using: ${misc:Built-Using}
 Description: Cloudflare's RPKI validator
  OctoRPKI is an RPKI relying party software: it can be used to download
