## cfrpki 1.4.2

=== debian/changelog ===
cfrpki (1.4.2-1ubuntu0.1) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update. Note that this package
    was built with golang-1.17.

 -- Allen Huang <allen.huang@canonical.com>  Tue, 19 Nov 2024 00:00:47 +0000

cfrpki (1.4.2-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sun, 28 Nov 2021 00:42:04 +0100

cfrpki (1.4.0-1) unstable; urgency=high

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Wed, 10 Nov 2021 23:02:55 +0100
