=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: cfrpki
-Maintainer: Marco d'Itri <md@linux.it>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Marco d'Itri <md@linux.it>
 Uploaders: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Section: net
 Testsuite: autopkgtest-pkg-go
@@ -10,6 +11,7 @@
  golang-github-getsentry-sentry-go-dev,
  golang-github-gorilla-mux-dev,
  golang-github-kentik-patricia-dev,
+ golang-github-opentracing-opentracing-go-dev,
  golang-github-prometheus-client-golang-dev,
  golang-github-rs-cors-dev,
  golang-github-stretchr-testify-dev,
