## cfrpki 1.4.3

=== debian/changelog ===
cfrpki (1.4.3-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Tue, 17 May 2022 01:59:05 +0200
