## cfrpki 1.4.4

=== Makefile ===
--- 
+++ 
@@ -45,6 +45,8 @@
 package-deb-octorpki: prepare
 	fpm -s dir -t deb -n $(OCTORPKI_NAME) -v $(VERSION_PKG) \
         --description "$(DESCRIPTION)"  \
+        --after-install package/after-install-octorpki.sh \
+        --before-remove package/before-remove-octorpki.sh \
         --url "$(URL)" \
         --architecture $(ARCH) \
         --license "$(LICENSE)" \
@@ -61,6 +63,8 @@
 package-rpm-octorpki: prepare
 	fpm -s dir -t rpm -n $(OCTORPKI_NAME) -v $(VERSION_PKG) \
         --description "$(DESCRIPTION)" \
+        --after-install package/after-install-octorpki.sh \
+        --before-remove package/before-remove-octorpki.sh \
         --url "$(URL)" \
         --architecture $(ARCH) \
         --license "$(LICENSE) "\
