=== debian/changelog ===
cfrpki (1.4.4-1ubuntu0.23.10.1) mantic-security; urgency=medium

  * No change rebuid due to golang-1.20, golang-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 23 Jan 2024 09:28:41 +0530

cfrpki (1.4.4-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:13:24 +1200

cfrpki (1.4.4-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Tue, 25 Oct 2022 02:20:28 +0200
