=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper-compat (= 12), dh-golang,
+Build-Depends: debhelper-compat (= 13), dh-golang,
  golang-any,
  golang-github-cloudflare-gortr-dev,
  golang-github-getsentry-sentry-go-dev,
@@ -18,7 +18,7 @@
  golang-google-grpc-dev,
  golang-goprotobuf-dev,
  golang-logrus-dev,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.1
 Vcs-Browser: https://salsa.debian.org/md/cfrpki
 Vcs-Git: https://salsa.debian.org/md/cfrpki.git
 Homepage: https://github.com/cloudflare/cfrpki
