=== debian/rules ===
#!/usr/bin/make -f
export DH_GOLANG_EXCLUDES := $(shell cd cmd/ && echo api*) ctrpki localrpki

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-source
