=== debian/changelog ===
cfrpki (1.5.10-2) unstable; urgency=medium

  * Re-upload to unstable.

 -- Marco d'Itri <md@linux.it>  Sun, 24 Sep 2023 22:22:59 +0200

cfrpki (1.5.10-1) experimental; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sat, 29 Apr 2023 18:38:11 +0200

cfrpki (1.5.5-1) experimental; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Fri, 07 Apr 2023 10:25:52 +0200

cfrpki (1.5.4-1) experimental; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sat, 01 Apr 2023 23:58:34 +0200

cfrpki (1.5.1-1) experimental; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Thu, 30 Mar 2023 03:46:06 +0200

cfrpki (1.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Thu, 30 Mar 2023 03:44:58 +0200
