=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: cfrpki
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Marco d'Itri <md@linux.it>
+Maintainer: Marco d'Itri <md@linux.it>
 Uploaders: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13), dh-golang,
+ dh-sequence-installsysusers, debhelper (>= 13.9),
  golang-any,
  golang-github-cloudflare-gortr-dev,
  golang-github-getsentry-sentry-go-dev,
@@ -17,8 +17,8 @@
  golang-github-stretchr-testify-dev,
  golang-google-grpc-dev,
  golang-goprotobuf-dev,
- golang-logrus-dev,
-Standards-Version: 4.6.1.1
+ golang-github-sirupsen-logrus-dev,
+Standards-Version: 4.6.2.0
 Vcs-Browser: https://salsa.debian.org/md/cfrpki
 Vcs-Git: https://salsa.debian.org/md/cfrpki.git
 Homepage: https://github.com/cloudflare/cfrpki
